Summary: Nippon Safes, Inc. - a game for ScummVM
Name: nippon-safes
Version: 1.0
Release: 2%{?dist}
License: unknown
Group: Amusements/Games
Source0: nippon-amiga-%{version}.zip
Source1: %{name}.png
Source2: %{name}.desktop
Source3: %{name}.txt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: scummvm
BuildRequires: unzip
BuildArch: noarch

%description
In the slums of the Japanese metropolis of Tyoko, a shady character
wanders around looking suspiscious.
What can this mysterious person be up to?
Discover it for yourself by helping Doug Nuts, the crafty
technological thief, by taking the place of the perturbing Lady Fatale
or putting yourself in the shoes of Dino Fagioli, the knoed-about
former boxer Dino Fagioli.

%prep
%setup -q -n %{name}-en-v%{version} -c
find . -type f -print0 | xargs -r0 chmod a-x

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/games/%{name}
cp * $RPM_BUILD_ROOT/usr/share/games/%{name}/
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/share/applications
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/%{name}
mv $RPM_BUILD_ROOT/usr/share/games/%{name}/readme.txt \
   $RPM_BUILD_ROOT/usr/share/doc/%{name}/
cp %{SOURCE3} $RPM_BUILD_ROOT/usr/share/doc/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/share/games/%{name}
/usr/share/pixmaps/%{name}.png
/usr/share/applications/%{name}.desktop
%doc /usr/share/doc/%{name}

%changelog
* Thu May 16 2024 Philippe Troin <phil@fifi.org> - 1.0-2
- Update .desktop file for new scummvm parameters and unknown category.
- Center icon.

* Mon May 22 2023 Philippe Troin <phil@fifi.org> - 1.0-1
- Created.
